<form-template titleForm="Areas Comunes" [form]="form" [busy]="service.busy" [edit]="service.editing" 
    (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
    <ng-container content-type="codigo" *ngIf="service.editing">
        <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.Id}}</small>
    </ng-container>

    <form #form="ngForm" autocomplete="off">
        <div class="row">
            <div class="col-md-5" [input-wrapper]="name" label="Nombre">
                <input type="text" class="form-control" name="nombre" [(ngModel)]="service.model.Nombre"
                    #name="ngModel" ngbAutofocus required>
            </div>
            <div class="col-md-3" [input-wrapper]="price" label="Precio">
                <input type="number" class="form-control" name="price" [(ngModel)]="service.model.Precio"
                    #price="ngModel" required min="0">
            </div>
        </div>
        <div class="row">
            <div class="col-md-5" input-wrapper label="Descripcion">
                <textarea cols="30" rows="10" class="form-control" name="descripcion"
                    [(ngModel)]="service.model.Descripcion">
                </textarea>
            </div>
            <div class="col-md-4" input-wrapper label="Estado">
                <input type="text" class="form-control" name="state" [(ngModel)]="service.model.Estado"
                    placeholder="Colocar Disponible, Construyendo, etc...">
            </div>
        </div>
    </form>
</form-template>
